Subject: Re: [AVTCORE] IPR requirements in document write-up

From: Stephan Wenger <[email-masked]>
Date: Wed, 21 Mar 2012 18:09:09 +0000

Hi Barry,

Adding the IPRWG and ietf@ietf.

For the benefit if "new" readers: This is about an updated proto shepherd
writeup template, asking two questions about IPR that, IMO may not be in
compliance with the IETF's IPR policy.

I was not aware that the proto template had IESG blessing.  Still, I
believe that the template text does not ask the right question, or, more
specifically, is a suggestive question in that it appears (at least to me)
to interpret the IETF's patent policy in a considerably more strict way
than it is set out in the policy RFCs.
I believe the IESG should reconsider the proto writeup.
A few more comments inline

On 3.21.2012 17:03 , "Barry Leiba" <[email-masked]> wrote:

>> Thanks for the text, I will use it.
>>
>> Roni
>
>I recommend you do not, for a few reasons:
>
>1. You may not rewrite the PROTO template; that belongs to the IESG.

Agreed (now that I'm aware of that this is an IESG-sanctioned template).

>2. The question was worded as it is for a reason, and it should be
>left that way.  The IESG wants to know whether there are any known IPR
>claims, whether declarations have been made to and considered by the
>working group, and whether formal IPR statements have been filed in
>the system.  The middle one is as important as the last.

Also agreed (with caveats, see below).

>
>3. Stephan is incorrect when he says this:
>> The reason is that disclosure is not
>> required in many cases; for example, when the IPR in question is not
>>owned
>> by them or their employers.
>
>If you are aware of IPR that you do not own, you may and you should
>make a third-party disclosure.

Barry, please read my language carefully.  Perhaps I should have
capitalized REQUIRED, but the text is clear and inline with yours.  It's
MAY and SHOULD for third party disclosures.  But you are NOT *required* to
do so by policy; there is no MUST.  There are many good and valid reasons
why there is no MUST (beyond that it's not in the policy docs).  And,
third party disclosures are not even a widely used current practice.  Just
look at the (comparatively low) number of third party disclosures.

Look, I do patent work as my day job.  I also do standards work  In my
current and previous job roles, I have looked at hundreds of patents of my
current or previous employers, as well as occasionally at third party
patents.  Now, with this background, let's look at the template text again
(numerals by me):

   (1) Are you aware of any IPR that applies to <insert document name>?
(2) If so,
   has this IPR been disclosed in compliance with IETF IPR rules (see RFCs
3979, 
   4879, 3669 and 5378 for more details)?

For the majority of the documents I am working on, the answer to question
(1) would be yes.  The answer to question (2) would be quite often no.

Based on my interpretation of the policy RFCs, I am in full compliance
with language and spirit of the policy.  I'm not doing anything fishy.  I
just don't talk about third party IPR, which is my right under the IETF's
IPR policy.  However, by providing answers to questions (1) and (2), the
IESG would receive a signal that it is not entitled to receive (more
precisely: that I'm not required to send, and not willing to send
voluntarily, as it could get me personally into trouble), namely that
there may be patents related to a document which the discloser is not
willing, AND not obligated, to talk about.

This is a policy change through the backdoor.  Policy changes through the
backdoor are bad.

My suggestion was aimed to bring the template in compliance with what I
believe is language and spirit of the policy.

Thanks,
Stephan

>
>You may, of course, ask the question of your working group in any way
>you like.  But I suggest you ask it in a way that allows you to
>accurately answer the question asked in the PROTO template.
>
>Barry, incoming Applications AD
>
>> -------- Original Message --------
>> From: Stephan Wenger [mailto:[email-masked]]
>> Sent: Sunday, March 18, 2012 7:03 PM
>> To: Roni Even; 'IETF AVTCore WG'; [email-masked]
>> Cc: 'Magnus Westerlund'
>> Subject: Re: [AVTCORE] (no subject)
>>
>> Hi,
>>
>> There are many cases, where the answer to the first question is Yes, the
>> answer to the second question is No, and people would still be in
>>compliance
>> with the assorted policy RFCs.  The reason is that disclosure is not
>> required in many cases; for example, when the IPR in question is not
>>owned
>> by them or their employers.
>>
>>
>>
>> Suggest that the second question should be something like:
>>
>> "
>>
>> If so,
>>
>> has this IPR been disclosed when so required for in compliance with IETF
>> IPR rules (see RFCs
>>
>> 3979, 4879, 3669 and 5378 for more details)?
>>
>> "
>>
>>
>>
>> Stephan
>>
>>
>>
>> From: Roni Even <[email-masked]>
>> Date: Sun, 18 Mar 2012 18:33:53 +0200
>> To: 'IETF AVTCore WG' <[email-masked]>, <[email-masked]>
>> Cc: 'Magnus Westerlund' <[email-masked]>
>> Subject: [AVTCORE] (no subject)
>>
>>
>>
>> Hi,
>>
>>
>>
>> The document write-up template for sending documents to publication has
>> changed.  In particular, we need to poll authors on their compliance
>>with
>> IETF IPR rules prior to moving a document to the publication in the WG
>> process. See http://www.ietf.org/iesg/template/doc-writeup.html
>>question 7.
>>
>>
>>
>> We plan to send the following email when a WG document goes to WG last
>> call.
>>
>>
>>
>>
>>
>>
>>
>> Please let us know if you have any comments on this plan.
>>
>>
>>
>> Roni Even
>>
>> AVTCore and Payload co-chair
>>
>>
>>
>> -----------------------------------------------------------------
>>
>>
>>
>> To: <list all authors and contributors>
>>
>> Cc: AD; AVTcore/Payload WG
>>
>>
>>
>> Subject: Regarding IPR on <insert document name>
>>
>>
>>
>> Are you aware of any IPR that applies to <insert document name>? If so,
>>
>> has this IPR been disclosed in compliance with IETF IPR rules (see RFCs
>>
>> 3979, 4879, 3669 and 5378 for more details)?
>>
>>
>>
>> If you are listed as a document author or contributor please answer the
>>
>> above by responding to this email regardless of whether or not you are
>>
>> aware of any relevant IPR.  This document will not advance to the next
>>
>> stage until a response has been received from each author and listed
>>
>> contributor.
>>
>>
>>
>> If you are on the AVTcore/payload WG email list but are not listed as an
>> author or contributor, we remind you of your obligations under the IETF
>>IPR
>> rules which encourages you to notify the IETF if you are aware of IPR of
>> others on an IETF contribution, or to refrain from participating in any
>> contribution or discussion related to your undisclosed IPR.  For more
>> information, please see the RFCs listed above and
>>
>> http://trac.tools.ietf.org/group/iesg/trac/wiki/IntellectualProperty.
>>
>>
>>
>>
>>
>> _______________________________________________ Audio/Video Transport
>>Core
>> Maintenance [email-masked] https://www.ietf.org/mailman/listinfo/avt
>

---

From: Barry Leiba <[email-masked]>
Date: Wed, 21 Mar 2012 14:42:39 -0400

[I am removing the avt and payload WG lists from this, so they can
keep at their work; feel free to direct people from those lists to the
IETF discussion list.  And thanks for moving this to the right lists.]

Hi, Stephan.
I think we're mostly in agreement, then, judging from what you say.
The gap may be a misunderstanding of what the PROTO writeup is for; it
has two purposes:

1. To provide information to the IESG, which might be important for
the IESG to consider as it reviews the document.

2. To make sure the document shepherd (usually, but not always, one of
the working group chairs) has reviewed and considered certain things.

That means that the writeup is NOT meant to set or enforce policy, and
there aren't any "right" or "wrong" answers, except that "Oh, gee, I
never thought about that," is probably never right, and the response
to it should be to go think about it.

Note in particular that BCPs 78 & 79 and Note Well have legal
blessing, the PROTO template does not, and the writeup is not there to
be a legal document.

For reference, the writeup templates live here:
https://www.ietf.org/iesg/ (see the links at the bottom of the
right-hand column).  The two questions we're talking about are these:

   (7) Has each author confirmed that any and all appropriate IPR
   disclosures required for full conformance with the provisions of BCP 78
   and BCP 79 have already been filed. If not, explain why.

   (8) Has an IPR disclosure been filed that references this document?
   If so, summarize any WG discussion and conclusion regarding the IPR
   disclosures.

...and there was discussion of the wording of those questions within
the IESG and with the WG chairs before finalizing it.  For the record,
not all the chairs liked the wording that's there.

What the IESG wants in response to these questions is not just "Yes"
or "No", but (where appropriate) an explanation of what IPR-related
things happened with respect to the document the writeup is for.  If
there are no IPR issues, the writeup should say that: "There are no
known IPR issues with this document, and the shepherd has re-confirmed
that with the editors and the working group," or some such.

But t also could say something like this: "Shortly after the document
was adopted by the working group, participant Herkermer Biffelwogg
said that he was aware of some IPR that might cover the document.  The
working group decided to continue working on the document, no IPR
disclosure was ever filed, and Mr Biffelwogg says he has no further
information about any IPR claims."  Or perhaps this: "The Frobozz
Magic AVT Company filed an IPR disclosure on the -06 version of the
document."  Concerned about the timing of the disclosure, the working
group fought bitterly for a few weeks about it, but ultimately came to
rough consensus to accept the Frobozz terms and continue.  The
discussion resulted in some changes to the language in the draft, and
a few participants remain unhappy with the result.  No one has said
they intend to appeal the decision."

See what I'm getting at?  Information for the IESG, and making sure
that the shepherd is on top of things.  No policy changes, subtle or
blatant.  And that's true in general with the PROTO writeup.  There
are many places where a yes/no answer could instead be done as an
explanation that really gives us an idea of what happened and how the
working group came to the result that it did.  That information can
really help when the IESG members do their reviews, and perhaps have
similar questions that were long ago answered.

Barry

---

From: Simon Josefsson <[email-masked]>
Date: Wed, 21 Mar 2012 19:59:13 +0100

Stephan Wenger <[email-masked]> writes:

> IPR policy.

RFC 3669 section 5.7:

https://tools.ietf.org/html/rfc3669#section-5.7

says for example

   It is good to notify the IETF of relevant IPR claims even when they
   are not one's own, and [6] says to do so "as soon as possible".

My interpretation has always been that partcipants are strongly
encouraged to notify about third party patents.  Withholding such
information seems contrary to the spirit even if not the letter of the
guidelines.

There are additional advice given here:

https://tools.ietf.org/html/rfc3669#section-5.7.1

/Simon

---

From: "Roni Even" <[email-masked]>
Date: Wed, 21 Mar 2012 21:28:10 +0200

Hi Barry,
I read your response and it is OK as long as the Shephard has to respond to
question 8 and inform what happened in the WG. My reading of question 7 is
that the document shepherd have to ask the authors to confirm  the IPR
status to their knowledge which is different than just reporting what was
discussed in the WG and which IP statements were submitted. Did I
mis-understand question 7.
This is why I was trying to draft the question to ask the documents authors
in order to be able to reply to question 7. I was not trying to change the
proto itself.
Thanks
Roni

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Barry Leiba
> Sent: Wednesday, March 21, 2012 8:43 PM
> To: Stephan Wenger
> Cc: [email-masked]; [email-masked]; IETF
> Subject: Re: [AVTCORE] IPR requirements in document write-up
> 
> [I am removing the avt and payload WG lists from this, so they can keep
> at their work; feel free to direct people from those lists to the IETF
> discussion list.  And thanks for moving this to the right lists.]
> 
> Hi, Stephan.
> 1. To provide information to the IESG, which might be important for the
> IESG to consider as it reviews the document.
> 
> never thought about that," is probably never right, and the response to
> it should be to go think about it.
> 
> Note in particular that BCPs 78 & 79 and Note Well have legal blessing,
> the PROTO template does not, and the writeup is not there to be a legal
> document.
> 
> https://www.ietf.org/iesg/ (see the links at the bottom of the right-
> hand column).  The two questions we're talking about are these:
> 
> was adopted by the working group, participant Herkermer Biffelwogg said
> that he was aware of some IPR that might cover the document.  The
> information about any IPR claims."  Or perhaps this: "The Frobozz Magic
> AVT Company filed an IPR disclosure on the -06 version of the
> discussion resulted in some changes to the language in the draft, and a
> few participants remain unhappy with the result.  No one has said they
> intend to appeal the decision."
> 
> blatant.  And that's true in general with the PROTO writeup.  There are
> many places where a yes/no answer could instead be done as an
> > For the benefit if "new" readers: This is about an updated proto
> > shepherd writeup template, asking two questions about IPR that, IMO
> > may not be in compliance with the IETF's IPR policy.
> >
> > believe that the template text does not ask the right question, or,
> > more specifically, is a suggestive question in that it appears (at
> > least to me) to interpret the IETF's patent policy in a considerably
> > more strict way than it is set out in the policy RFCs.
> >>> The reason is that disclosure is not  required in many cases; for
> >>>example, when the IPR in question is not owned  by them or their
> >>>employers.
> >>
> > capitalized REQUIRED, but the text is clear and inline with yours.
> > It's MAY and SHOULD for third party disclosures.  But you are NOT
> > *required* to do so by policy; there is no MUST.  There are many good
> > and valid reasons why there is no MUST (beyond that it's not in the
> > policy docs).  And, third party disclosures are not even a widely
> used
> > current practice.  Just look at the (comparatively low) number of
> third party disclosures.
> >
> > current and previous job roles, I have looked at hundreds of patents
> > of my current or previous employers, as well as occasionally at third
> > party patents.  Now, with this background, let's look at the template
> > text again (numerals by me):
> >
> >   has this IPR been disclosed in compliance with IETF IPR rules (see
> > RFCs 3979,
> > with language and spirit of the policy.  I'm not doing anything
> fishy.
> > I just don't talk about third party IPR, which is my right under the
> > IETF's IPR policy.  However, by providing answers to questions (1)
> and
> > (2), the IESG would receive a signal that it is not entitled to
> > receive (more
> > This is a policy change through the backdoor.  Policy changes through
> > the backdoor are bad.
> >
> > My suggestion was aimed to bring the template in compliance with what
> > I believe is language and spirit of the policy.
> >
> > Thanks,
> > Stephan
> >
> >
> >
> >>
> >>> There are many cases, where the answer to the first question is
> Yes,
> >>>the  answer to the second question is No, and people would still be
> >>>in compliance  with the assorted policy RFCs.  The reason is that
> >>>disclosure is not  required in many cases; for example, when the IPR
> >>>in question is not owned  by them or their employers.
> >>>
> >>>
> >>>
> >>> has this IPR been disclosed when so required for in compliance with
> >>> IETF IPR rules (see RFCs
> >>>
> >>> The document write-up template for sending documents to publication
> >>>has  changed.  In particular, we need to poll authors on their
> >>>compliance with  IETF IPR rules prior to moving a document to the
> >>>publication in the WG  process. See
> >>>http://www.ietf.org/iesg/template/doc-writeup.html
> >>>question 7.
> >>>
> >>>
> >>>
> >>> We plan to send the following email when a WG document goes to WG
> >>> last call.
> >>>
> >>>
> >>>
> >>>
> >>>
> >>>
> >>>
> >>> If you are on the AVTcore/payload WG email list but are not listed
> >>>as an  author or contributor, we remind you of your obligations
> under
> >>>the IETF IPR  rules which encourages you to notify the IETF if you
> >>>are aware of IPR of  others on an IETF contribution, or to refrain
> >>>from participating in any  contribution or discussion related to
> your
> >>>undisclosed IPR.  For more  information, please see the RFCs listed
> >>>above and
> >>>
> >>>
> >>> _______________________________________________ Audio/Video
> >>>Transport Core  Maintenance [email-masked]
> >>>https://www.ietf.org/mailman/listinfo/avt

---

From: Barry Leiba <[email-masked]>
Date: Wed, 21 Mar 2012 15:50:41 -0400

> My reading of question 7 is

You're correct: question 7 is asking you to confirm with the document
editors, to make sure nothing's been forgotten.

> in order to be able to reply to question 7. I was not trying to change the

I understand that you weren't trying to change the PROTO template; I
thought Stephan was, and, as he's said, he's now aware of where it
comes from.  (And, by the way, it's always possible to make
suggestions to the IESG about changes to the writeup.)

As I said in my first note, you're welcome to ask the question in any
manner you like, as long as you can comfortably complete the PROTO
writeup.

The way I've handled it since the change was to ask openly on the WG
mailing list.  I've asked the editors *and* the participants, but only
expected explicit replies (off list) from the editors.  This way, all
participants were reminded to let the working group know about IPR
they're aware of ["reasonably and personally known to the participant"
is the specific text from BCP 79, in case you want to use that].

How you, as a chair, do it, is up to you.  And I suggest that "Yes,"
is a reasonable answer to question 7, and question 8 is the one that
wants more words.

Barry

---

From: "t.petch" <[email-masked]>
Date: Fri, 23 Mar 2012 10:36:14 +0100

----- Original Message -----
From: "Barry Leiba" <[email-masked]>
To: "Roni Even" <[email-masked]>
Cc: "IETF" <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Wednesday, March 21, 2012 8:50 PM

> mis-understand question 7.

<snip>

<tp>
Barry

What might have improved this change to the process, it would have for me, would
have been to announce that the process has changed, so that it did not come as a
surprise.

I saw these open requests on more than one list, guessed that this was a
WG-Chair or IESG sponsored initiative, thought back to a recent unfortunate
situation that I presumed to be the cause of this process change, and then
wondered what should happen for non-WG submissions and what was happening on the
WG lists where I saw no public requests.

Life would have been simpler if this process change had been announced, ideally
on the IETF list as well as on individual WG lists - seeing it on some and not
on other WG lists makes one wonder what is going on, time that could be better
spent reading the I-Ds in question:-).

I was unaware of the link to the write-ups from the IESG page and had not a clue
what the status of the documents is - it could be worse, it could have been
ION:-(

Tom Petch
</tp>

Barry